Bug 199566 - lang/polyml: pkg-config output missing libffi dependency
Summary: lang/polyml: pkg-config output missing libffi dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 22:10 UTC by Brooks Davis
Modified: 2016-04-15 19:59 UTC (History)
4 users (show)

See Also:
beyert: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2015-04-20 22:10:14 UTC
"pkg-config --libs polyml" produces:

-L/usr/local/lib -lpolymain -lpolyml -lpthread -lm -lstdc++ -lgcc_s -lgcc

When you use this to link polyml to a program it fails with missing libffi references.  As a workaround you can use "pkg-config --libs polyml libffi" which produces:

-lpolymain -lpolyml -lpthread -lm -lstdc++ -lgcc_s -lgcc -L/usr/local/lib -lffi
Comment 1 Timothy Beyer 2015-04-21 03:01:58 UTC
Thanks for the heads up.

I haven't tested Poly/ML to build Isabelle in quite a while, so it might need some more testing.  I'll check to see if some small SML programs that I wrote compile properly using Poly/ML.

Most of the large SML programs that I use support MLTon or SML/NJ (eg. Ur/Web), so I'll need to find out which ones support Poly/ML, and verify with that respective program.
Comment 2 Carlo Strub freebsd_committer 2015-09-15 21:49:50 UTC
Any news on this bug?
Comment 3 Timothy Beyer 2015-09-16 08:14:32 UTC
I haven't gotten a chance to test it in depth yet, I'll try to get to it soon, as it looks fairly easy to address.
Comment 4 Martin Wilke freebsd_committer 2015-12-24 20:51:43 UTC
Hi,

any update on this?
Comment 5 Timothy Beyer 2016-04-15 02:32:57 UTC
It turns out that a later version of polyml corrected this issue.  When I did some work on a submitted update to polyml, now I get the proper output:

> hypercube# pkg-config --libs polyml
-L/usr/local/lib -lpolymain -lpolyml -lpthread -lffi  -lm -lgcc_s -lgcc

Notice that -lffi is included, as it should.

See issue #208783 for more details.

My apologies for taking so long to get to this issue.

Regards,
Tim
Comment 6 commit-hook freebsd_committer 2016-04-15 19:58:13 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 15 19:58:04 UTC 2016
New revision: 413374
URL: https://svnweb.freebsd.org/changeset/ports/413374

Log:
  lang/polyml: 5.5.2 -> 5.6

  Changes:
  - New foreign-function interface (Foreign structure).
  - Reimplemented debugger so that code with debugging enabled is much faster.
  - Improved support for Poly/ML on native Windows.
  - Support for MIPS and 64-bit ARM processors through the byte-code interpreter.
  - Various bug fixes.

  PR:		208783, 199566
  Submitted by:	Phil Eaton <philneaton95@gmail.com>, brooks
  Approved by:	Timothy Beyer <beyert@cs.ucr.edu> (maintainer)

Changes:
  head/lang/polyml/Makefile
  head/lang/polyml/distinfo
  head/lang/polyml/pkg-plist
Comment 7 Kurt Jaeger freebsd_committer 2016-04-15 19:59:11 UTC
The update is now committed, as submitted in 208783.